Actualizări de securitate disponibile pentru Adobe Flash Player

Data lansării: 14 ianuarie 2014

Identificator vulnerabilitate: APSB14-02

Prioritate: Consultați tabelul de mai jos

Număr CVE: CVE-2014-0491, CVE-2014-0492

Platformă: Toate platformele

Sumar

Adobe a lansat actualizări de securitate pentru Adobe Flash Player 11.9.900.170 și versiunile anterioare pentru Windows și Macintosh și pentru Adobe Flash Player 11.2.202.332 și versiunile anterioare pentru Linux. Aceste actualizări corectează vulnerabilități care pot permite unui atacator să preia controlul asupra sistemului afectat. Adobe recomandă utilizatorilor să își actualizeze produsele instalate la cele mai recente versiuni:

  • Utilizatorii Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru Windows Internet Explorer trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.38.
  • Utilizatorii Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru browsere bazate pe pluginuri NPAPI pentru Windows trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.43.
  • Utilizatorii Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru Macintosh trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.38.
  • Utilizatorii Adobe Flash Player 11.2.202.332 și ai versiunilor anterioare pentru Linux trebuie să efectueze actualizarea la Adobe Flash Player 11.2.202.335.
  • Adobe Flash Player 11.9.900.170 instalat cu Google Chrome va fi actualizat automat la cea mai recentă versiune Google Chrome, care va include Adobe Flash Player 12.0.0.41 pentru Windows, Macintosh și Linux.
  • Adobe Flash Player 11.9.900.170 instalat cu Internet Explorer 10 va fi actualizat automat la cea mai recentă versiune Internet Explorer 10, care va include Adobe Flash Player 12.0.0.38 pentru Windows 8.0.
  • Adobe Flash Player 11.9.900.170 instalat cu Internet Explorer 11 va fi actualizat automat la cea mai recentă versiune Internet Explorer 11, care va include Adobe Flash Player 12.0.0.38 pentru Windows 8.1.
  • Utilizatorii Adobe AIR 3.9.0.1380 și ai versiunilor anterioare pentru Windows și Macintosh trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1390.
  • Utilizatorii Adobe AIR 3.9.0.1380 și ai versiunilor anterioare pentru Android trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1390.
  • Utilizatorii SDK-ului Adobe AIR 3.9.0.1380 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul Adobe AIR 4.0.0.1390.
  • Utilizatorii SDK-ului și compilatorului Adobe AIR 3.9.0.1380 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul și compilatorul Adobe AIR 4.0.0.1390.

Versiuni de software afectate

  • Adobe Flash Player 11.9.900.170 și versiunile anterioare pentru Windows și Macintosh
  • Adobe Flash Player 11.2.202.332 și versiunile anterioare pentru Linux
  • Adobe AIR 3.9.0.1380 și versiunile anterioare pentru Windows și Macintosh
  • Adobe AIR 3.9.0.1380 și versiunile anterioare pentru Android
  • SDK-ul Adobe AIR 3.9.0.1380 și versiunile anterioare
  • SDK-ul și compilatorul Adobe AIR 3.9.0.1380 și versiunile anterioare

Pentru a verifica versiunea de Adobe Flash Player instalată pe sistem, accesați pagina Despre Flash Player sau faceți clic dreapta pe conținutul care rulează în Flash Player și selectați „Despre Adobe (sau Macromedia) Flash Player” din meniu. Dacă utilizați mai multe browsere, faceți această verificare pe fiecare browser instalat pe sistem.

Pentru a verifica versiunea de Adobe Flash Player pentru Android, mergeți la Setări > Aplicații > Gestionare aplicații > Adobe Flash Player x.x.

Pentru a verifica versiunea de Adobe AIR instalată pe sistem, urmați instrucțiunile din Nota tehnică Adobe AIR.

Soluție

Adobe recomandă utilizatorilor să actualizeze software-urile instalate prin urmarea instrucțiunilor de mai jos:

  • Adobe le recomandă utilizatorilor Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru Windows Internet Explorer să efectueze actualizarea la cea mai nouă versiune, 12.0.0.38, prin descărcarea acesteia de la Centrul de descărcare Adobe Flash Player sau prin mecanismul de actualizare din cadrul produsului, când primesc o solicitare în acest sens.
  • Adobe le recomandă utilizatorilor Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru Macintosh să efectueze actualizarea la cea mai nouă versiune, 12.0.0.38, prin descărcarea acesteia de la Centrul de descărcare Adobe Flash Player, sau prin mecanismul de actualizare din cadrul produsului, când primesc o solicitare în acest sens.
  • Adobe le recomandă utilizatorilor Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru browsere bazate pe inserturi NPAPI din Windows să efectueze actualizarea la cea mai nouă versiune, 12.0.0.43, prin descărcarea acesteia de la Centrul de descărcare Adobe Flash Player sau prin mecanismul de actualizare din cadrul produsului, când primesc o solicitare în acest sens.
  • Adobe le recomandă utilizatorilor Adobe Flash Player 11.2.202.332 și ai versiunilor anterioare pentru Linux să efectueze actualizarea la Adobe Flash Player 11.2.202.335 prin descărcarea acesteia de la /Centrul de descărcare Adobe Flash Player.
  • Pentru utilizatorii Flash Player 11.7.700.257 și ai versiunilor anterioare pentru Windows și Macintosh, care nu pot să efectueze actualizarea la Flash Player 12.0.0.38, Adobe a pus la dispoziție actualizarea Flash Player 11.7.700.260, care poate fi descărcată de aici.
  • Adobe Flash Player 11.9.900.170 instalat cu Google Chrome va fi actualizat automat la cea mai recentă versiune Google Chrome, care va include Adobe Flash Player 12.0.0.41 pentru Windows, Macintosh și Linux.
  • Adobe Flash Player 11.9.900.170 instalat cu Internet Explorer 10 va fi actualizat automat la cea mai recentă versiune Internet Explorer 10, care va include Adobe Flash Player 12.0.0.38 pentru Windows 8.0.
  • Adobe Flash Player 11.9.900.170 instalat cu Internet Explorer 11 va fi actualizat automat la cea mai recentă versiune Internet Explorer 11, care va include Adobe Flash Player 12.0.0.38 pentru Windows 8.1.
  • Utilizatorii Adobe AIR 3.9.0.1380 și ai versiunilor anterioare pentru Windows și Macintosh trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1390 prin descărcarea acesteia de la /Centrul de descărcare Adobe AIR.
  • Utilizatorii SDK-ului Adobe AIR 3.9.0.1380 trebuie să efectueze actualizarea la SDK-ul Adobe AIR 4.0.0.1390 prin descărcarea acestuia de la Centrul de descărcare SDK Adobe AIR.
  • Utilizatorii SDK-ului și compilatorului Adobe AIR 3.9.0.1380 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul și compilatorul Adobe AIR 4.0.0.1390 prin descărcarea acestora de la Centrul de descărcare SDK Adobe AIR.
  • Utilizatorii Adobe AIR 3.9.0.1380 și ai versiunilor anterioare pentru Android trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1390 navigând la Google play de pe un dispozitiv cu Android.

Evaluări ale priorității și gravității

Adobe clasifică această actualizare cu următoarea evaluare a priorității și recomandă utilizatorilor să își actualizeze produsele instalate la cea mai nouă versiune:

Produs Versiune actualizată Platformă Evaluare a priorității
Adobe Flash Player 12.0.0.38
Windows (Internet Explorer)
1
  12.0.0.38
Macintosh 1
  12.0.0.41 Windows, Macintosh și Linux (Chrome) 1
  12.0.0.43 Browsere bazate pe pluginuri NPAPI pentru Windows 1
  11.7.700.260 Windows și Macintosh 1
  11.2.202.335 Linux 3
Adobe AIR 4.0.0.1390 Windows, Macintosh, Android, SDK și SDK și compilator 3

Aceste actualizări remediază vulnerabilități critice din software.

Detalii

Adobe a lansat actualizări de securitate pentru Adobe Flash Player 11.9.900.170 și versiunile anterioare pentru Windows și Macintosh și pentru Adobe Flash Player 11.2.202.332 și versiunile anterioare pentru Linux. Aceste actualizări corectează vulnerabilități care pot permite unui atacator să preia controlul asupra sistemului afectat.

Adobe recomandă utilizatorilor să își actualizeze produsele instalate la cele mai recente versiuni:

  • Utilizatorii Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru Windows Internet Explorer trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.38.
  • Utilizatorii Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru browsere bazate pe pluginuri NPAPI pentru Windows trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.43.
  • Utilizatorii Adobe Flash Player 11.9.900.170 și ai versiunilor anterioare pentru Macintosh trebuie să efectueze actualizarea la Adobe Flash Player 12.0.0.38.
  • Utilizatorii Adobe Flash Player 11.2.202.332 și ai versiunilor anterioare pentru Linux trebuie să efectueze actualizarea la Adobe Flash Player 11.2.202.335.
  • Adobe Flash Player 11.9.900.170 instalat cu Google Chrome va fi actualizat automat la cea mai recentă versiune Google Chrome, care va include Adobe Flash Player 12.0.0.41 pentru Windows, Macintosh și Linux.
  • Adobe Flash Player 11.9.900.170 instalat cu Internet Explorer 10 va fi actualizat automat la cea mai recentă versiune Internet Explorer 10, care va include Adobe Flash Player 12.0.0.38 pentru Windows 8.0.
  • Adobe Flash Player 11.9.900.170 instalat cu Internet Explorer 11 va fi actualizat automat la cea mai recentă versiune Internet Explorer 11, care va include Adobe Flash Player 12.0.0.38 pentru Windows 8.1.
  • Utilizatorii Adobe AIR 3.9.0.1380 și ai versiunilor anterioare pentru Windows și Macintosh trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1390.
  • Utilizatorii Adobe AIR 3.9.0.1380 și ai versiunilor anterioare pentru Android trebuie să efectueze actualizarea la Adobe AIR 4.0.0.1390.
  • Utilizatorii SDK-ului Adobe AIR 3.9.0.1380 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul Adobe AIR 4.0.0.1390.
  • Utilizatorii SDK-ului și compilatorului Adobe AIR 3.9.0.1380 și ai versiunilor anterioare trebuie să efectueze actualizarea la SDK-ul și compilatorul Adobe AIR 4.0.0.1390.

Aceste actualizări remediază o vulnerabilitate care ar putea fi utilizată pentru a evita sistemele de protecție pentru securitate ale Flash Player (CVE-2014-0491).

Aceste actualizări remediază o vulnerabilitate de tip dezvăluire de adrese care ar putea fi utilizată pentru a afecta caracterul aleatoriu al alocării adreselor de memorie (CVE-2014-0492).

Software-uri afectate Actualizare de player recomandată Disponibilitate
Flash Player 11.9.900.170 și versiunile anterioare pentru Windows (Internet Explorer) 12.0.0.38 Centru de descărcare Flash Player
Flash Player 11.9.900.170 şi versiunile anterioare pentru Macintosh 12.0.0.38 Centru de descărcare Flash Player
Flash Player 11.9.900.170 și versiunile anterioare (distribuție în rețea) 12.0.0.38 Licențierea Flash Player
Flash Player 11.9.900.170 și versiunile anterioare pentru browsere bazate pe pluginuri NPAPI pentru Windows 12.0.0.43 Centru de descărcare Flash Player
Flash Player 11.2.202.332 și versiunile anterioare pentru Linux 11.2.202.335 Centru de descărcare Flash Player
Flash Player 11.9.900.170 și versiunile anterioare pentru Windows, Macintosh și Linux (Chrome) 12.0.0.41
Versiuni Google Chrome
Flash Player 11.9.900.170 și versiunile anterioare din Internet Explorer 10 pentru Windows 8.0 12.0.0.38
Recomandare de securitate Microsoft
Flash Player 11.9.900.170 și versiunile anterioare din Internet Explorer 11 pentru Windows 8.1 12.0.0.38
Recomandare de securitate Microsoft
AIR 3.9.0.1380 și versiunile anterioare pentru Windows și Macintosh 4.0.0.1390
Centrul de descărcare AIR
SDK-ul AIR 3.9.0.1380 4.0.0.1390
Descărcați SDK-ul AIR
SDK-ul și compilatorul AIR 3.9.0.1380 4.0.0.1390
Descărcați SDK-ul AIR
AIR 3.9.0.1380 și versiunile anterioare pentru Android 4.0.0.1390
Google Play

Mențiuni

Adobe dorește să mulțumească următoarelor persoane pentru raportarea problemelor relevante și pentru colaborarea cu Adobe în scopul protejării clienților noștri:

  • Masato Kinugawa (CVE-2014-0491)
  • Raportare anonimă prin Zero Day Initiative (CVE-2014-0492)